CFFParser
Date: 2017-05-25

org.apache.fontbox.cff

## Class CFFParser

- java.lang.Object
- - org.apache.fontbox.cff.CFFParser

-     public class CFFParser
      extends java.lang.Object

  This class represents a parser for a CFF font.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `CFFParser.ByteSource` Source from which bytes may be read in the future.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CFFParser()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<CFFFont>` | `parse(byte[] bytes)` Parse CFF font using a byte array as input.
    `java.util.List<CFFFont>` | `parse(byte[] bytes, CFFParser.ByteSource source)` Parse CFF font using byte array, also passing in a byte source for future use.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CFFParser

          public CFFParser()

  - ### Method Detail

    - #### parse

          public java.util.List<CFFFont> parse(byte[] bytes,
                                      CFFParser.ByteSource source)
                                        throws java.io.IOException

      Parse CFF font using byte array, also passing in a byte source for future use.
      Parameters:
        `bytes` - source bytes
        `source` - source to re-read bytes from in the future
      Returns:
        the parsed CFF fonts
      Throws:
        `java.io.IOException` - If there is an error reading from the stream

    - #### parse

          public java.util.List<CFFFont> parse(byte[] bytes)
                                        throws java.io.IOException

      Parse CFF font using a byte array as input.
      Parameters:
        `bytes` - the given byte array
      Returns:
        the parsed CFF fonts
      Throws:
        `java.io.IOException` - If there is an error reading from the stream

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`